using System.Net;
using Autofac;
using FitConnect.Encryption;
using NUnit.Framework;

namespace SenderTest;

public class FileEncryptionTest {
    private byte[] sourceFile = null!;
    private FitEncryption _encryption;
    private string _encryptedFile;

    [SetUp]
    public void Setup() {
        sourceFile = System.IO.File.ReadAllBytes("./assets/attachment.pdf");
        var container = MockContainer.Container.Create();
        var keySet = container.Resolve<KeySet>();
        _encryption = new FitEncryption(keySet, null);
    }

    [Test]
    [Order(10)]
    public void EncryptFile() {
        _encryptedFile = _encryption.Encrypt(sourceFile);
    }
}
